Patch-Source: https://github.com/php/php-src/pull/7526
From d3402bfd3e9a87b1d4ce3785e393e698746c645c Mon Sep 17 00:00:00 2001
From: Andy Postnikov <apostnikov@gmail.com>
Date: Tue, 28 Sep 2021 23:35:37 +0300
Subject: [PATCH] display libavif version and codecs via phpinfo()

---
 ext/gd/gd.c | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/ext/gd/gd.c b/ext/gd/gd.c
index 880d6dddc7d7..67349e8749bf 100644
--- a/ext/gd/gd.c
+++ b/ext/gd/gd.c
@@ -455,6 +455,15 @@
 #endif
 #ifdef HAVE_GD_AVIF
 	php_info_print_table_row(2, "AVIF Support", "enabled");
+#ifdef HAVE_GD_BUNDLED
+#include <avif/avif.h>
+	{
+		php_info_print_table_row(2, "AVIF Version", avifVersion());
+		char tmp[256];
+		avifCodecVersions(tmp);
+		php_info_print_table_row(2, "AVIF Codecs", tmp);
+	}
+#endif
 #endif
 #ifdef HAVE_GD_TGA
 	php_info_print_table_row(2, "TGA Read Support", "enabled");
